#pragma once

#include "TLayer.hh"
#include "Params.hh"

class CommsigniaLayer : public Layer {
  Params _params;
public:
  CommsigniaLayer(const std::string & p_type, const std::string & param);
  virtual ~CommsigniaLayer() {};

  virtual void sendData(OCTETSTRING& data, Params& params);
  virtual void receiveData(OCTETSTRING& data, Params& info);
};
